package com.dayu.general.dao

import android.content.Context
import android.os.Environment
import androidx.room.Room
import com.dayu.general.activity.BaseActivity
import java.io.File

class BaseDaoSingleton {

    companion object {
        @JvmField
        val SqlitePath: String =
            Environment.getExternalStorageDirectory().absolutePath + File.separator + ".dayu" + File.separator + "data" + File.separator
    }

    var baseDao: AppDataBase? = null

    var AsynchBaseDao: AppDataBase? = null



    //MyFileUtil.SqlitePath +
    fun getInstance(context: Context?): AppDataBase? {
        if (baseDao == null) {
            baseDao = Room.databaseBuilder<AppDataBase>(
                context!!,
                AppDataBase::class.java,
                SqlitePath + "ConfigurationData_generalV1"
            ).allowMainThreadQueries().build()
        }
        return baseDao
    }

    fun getAsynchInstance(context: Context?): AppDataBase? {
        if (AsynchBaseDao == null) {
            AsynchBaseDao = Room.databaseBuilder<AppDataBase>(
                context!!,
                AppDataBase::class.java,
                SqlitePath + "ConfigurationData_generalV1"
            ).build()
        }
        return AsynchBaseDao
    }

//    companion object {
//        fun getAsynchInstance(baseActivity: BaseActivity): AppDataBase? {
//           return getAsynchInstance(baseActivity)
//        }
//    }
}